<ion-content class="ion-padding">

  <div class="eh-w-100p eh-mt-8" fxLayout="column" fxLayoutAlign="center center">
    <div class="eh-w-120">
      <img class="eh-fit" src="../../../../../assets/images/mp-logo.jpg" alt="">
    </div>
  </div>
  <form [formGroup]="registerFormGroup" autocomplete="off" fxLayout="column" fxLayoutAlign="center center">
    <mat-form-field appearance="standard" class="e-mat-form-field eh-mt-24">
      <mat-label>First Name</mat-label>
      <input matInput formControlName="firstName" placeholder="My first name">
      <mat-icon matSuffix>person</mat-icon>
    </mat-form-field>
    <mat-form-field appearance="standard" class="e-mat-form-field">
      <mat-label>Last Name</mat-label>
      <input matInput formControlName="lastName" placeholder="My last name">
      <mat-icon matSuffix>person</mat-icon>
    </mat-form-field>
    <mat-form-field appearance="standard" class="e-mat-form-field">
      <mat-label>Email<sup>**</sup>
      </mat-label>
      <input matInput formControlName="email" placeholder="my@email.com" type="email">
      <mat-icon matSuffix>email</mat-icon>
    </mat-form-field>
    <mat-form-field appearance="standard" class="e-mat-form-field">
      <mat-label>Password</mat-label>
      <input matInput formControlName="password" [type]="passwordFormControlType">
      <mat-icon matSuffix class="eh-csr-ptr e-txt-primary" (click)="onTogglePasswordView()">
        {{passwordFormControlIcon}}</mat-icon>
    </mat-form-field>
    <mat-form-field appearance="standard" class="e-mat-form-field">
      <mat-label>Mobile</mat-label>
      <input matInput formControlName="mobile">
      <mat-icon matSuffix>phone_iphone</mat-icon>
      <mat-hint>+91-XXXXXXXXXX</mat-hint>
    </mat-form-field>
    <button *ngIf="!loading" class="e-mat-button e-mat-button--eblue400 eh-w-60p eh-mt-16 eh-txt-16" mat-raised-button
      [disabled]="!registerFormGroup.valid" (click)="onRegister()">
      Sign Up
    </button>
    <div *ngIf="loading" class="e-spinner e-spinner--2 eh-w-100p eh-mt-16 eh-h-36">
      <mat-spinner [diameter]="24" [strokeWidth]="2"></mat-spinner>
    </div>
  </form>
  <div class="eh-mt-24 weh--100p eh-txt-center">
    Already have an account?<br>
    <a class="eh-csr-ptr eh-txt-underline eh-grey eh-txt-14" (click)="onShowLogin()">Login now!</a>
  </div>
  <div class="eh-mt-24 eh-w-100p eh-txt-10 eh-txt-center" fxLayout="row" fxLayoutAlign="center center"
    style="line-height: 14px !important;">
    <i>
      <sup>**</sup> Your email address is unique to the system. Once registered, this cannot be changed.
    </i>
  </div>

</ion-content>